<?php

namespace app\admin\model;

use think\Model;


class Topicdongtai extends Model
{

    

    

    // 表名
    protected $name = 'topic_dongtai';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'is_hidden_text'
    ];
    

    
    public function getIsHiddenList()
    {
        return ['1' => __('Is_hidden 1'), '0' => __('Is_hidden 0')];
    }


    public function getIsHiddenTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_hidden']) ? $data['is_hidden'] : '');
        $list = $this->getIsHiddenList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function topichub()
    {
        return $this->belongsTo('Topichub', 'topic_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
